function C = Cmatrix(x, xstar, B) 
% This function creates the matrix C, the
% Variance-Covariance matrix of old and new us!
% x is a matrix of health states u
% xstar is a matrix of health states ustar
% B is a diagonal matrix defined intially!


n=length(x(:,1));
m=length(xstar(:,1));
C = zeros(n,m);
for i = 1:n   
    for j = 1:m
            C(i,j)= exp(-(x(i,:)-xstar(j,:))*B*(x(i,:)-xstar(j,:))');
    end
end
C;  

