function [Vsquareda, Vsquaredb, ys]=Vsquaredab(u, alpha, ypat, NoHSPP, HS) 
% ypat is the data set sorted according of patients

a = length(ypat); 
difference = [];
ys = [];
J = length(alpha);

for i = 1:J 
    NoHSPPsum = sum(NoHSPP(1:i));
    lowerbound = NoHSPPsum - NoHSPP(i) + 1;
    upperbound = NoHSPPsum;
    ithNoHSPP = lowerbound:upperbound;
    uij = u(HS(ithNoHSPP));
    ypatij = ypat(ithNoHSPP);
    mean = 1 - alpha(i) * (1 - uij);
    ithdifference = ypatij - mean;
    difference = [difference;ithdifference];
    ys = [ys;mean];
end
b = difference'*difference;
Vsquareda = a/2;
Vsquaredb = b/2;
ys;
