function [umean, uvar]=umeanvar(alpha, beta, Vsquared, sigmasquared, A, yhs, H, NoPPHS, indiv) 

%This function returns the mean and variance for u.


prod1 = inv(A)./sigmasquared;
[MtM, Mty] = MtMymatrix(alpha, yhs, NoPPHS, indiv);
prod2 = MtM./Vsquared;
uvar = inv(prod1 + prod2);
prod3 = Mty./Vsquared;
prod4 = prod1 * H * beta;
umean = uvar * (prod3 + prod4);