function actualmean = observedmean(yhs, NoPPHS) 

% yhs is the data set sorted according of health states
% NoPPHS is the number of patients who valued the same health state

actualmean = [];
J = length(NoPPHS);

for i = 1:J  
    NoPPHSsum = sum(NoPPHS(1:i));
    lowerbound = NoPPHSsum - NoPPHS(i) + 1;
    upperbound = NoPPHSsum;
    ithNoPPHS = lowerbound:upperbound;
    ithactualmean = mean(yhs(ithNoPPHS));
    actualmean = [actualmean;ithactualmean]; 
end

actualmean;

