function [predictusmean, predictusvar]=predictusmeanvar(us) 

%This function returns means and variances for us (health states).

predictusmean = [];
predictusvar = [];
J = length(us(:,1));
for j = 1:J   
    jthmean = mean(us(j,:));
    predictusmean=[predictusmean;jthmean];
    jthvar = var(us(j,:));
    predictusvar=[predictusvar;jthvar];
end
predictusmean;
predictusvar;

% To get predictusmedian
% predictusmedian=median(us')';

% ordering and/or sorting health states in a decreasing order
% [negactualusmean, negactualusmeanrank, n] = unique(-actualusmean);
% actualusmeansorted = - negactualusmean;

% To make the predictusmean match with actualusmeansorted
% predictusmeansorted= predictusmean(negactualusmeanrank);
% predictusstdsorted= predictusstd(negactualusmeanrank);


% =======================================
% To plot the graph, we do the following:
% =======================================
% plot(actualusmeansorted)
% hold
% plot(predictusmeansorted)
% axis([0 250 0 1.2])
% plot(predictusstdsorted)
% hold
% title('Gaussian process estimation of mean health state valuation') 
% xlabel('health state')
% ylabel('health state valuation')
% ========================================