function [betamean, betavar]=betameanvar(u, sigmasquared, A, H, ukmean, ukvar)  

%This function returns the mean and variance for beta.

ud = u - ukmean;
hkvar = ukvar + sigmasquared .* A;
prod1a = H' * inv(hkvar);
prod1 = prod1a * H;
betavar = inv(prod1);
betamean = betavar * prod1a * ud;
