% This file contains all stuff required for the analysis.
% =======================================================
% To calculate the actual health state valuations
alphasmean = mean(alphas')';
[MtM, Mty] = MtMymatrix(alphasmean, yhs, NoPPHS, indiv);
actualusmean = inv(MtM) * Mty;
% Calculate the predicted health state valuations
predictusmean = mean(us')';

% ====================================================================
% To correct utility to the population mean
% Calculate first the mean of all alphas
alphasgrandmean = mean(exp(tausquareds/2)); % This is obtained from the mean of lognormal distribution
% New actualy and predicty i.e. adjusted will be
% actualy = 1 - alphasgrandmean * (1 - actualusmean);
% OR 
actualy = observedmean(yhs, NoPPHS);
predicty = 1 - alphasgrandmean * (1 - predictusmean);
% Variance and standard error of predicty
predictyvar = var((alphasgrandmean * (1 - us))')';
predictystd = sqrt(predictyvar);
% Note that predictusmean, predicty and predictystd are all you need for
% posterior inferences table.

