function [umean, uvar]=umeanvar(alpha, beta, Vsquared, sigmasquared, A, yhs, H, NoPPHS, indiv, ukmean, ukvar) 

%This function returns the mean and variance for u.

hkmean = ukmean + H * beta;
hkvar = ukvar + sigmasquared .* A;
prod1 = inv(hkvar);
[MtM, Mty] = MtMymatrix(alpha, yhs, NoPPHS, indiv);
prod2 = MtM./Vsquared;
uvar = inv(prod1 + prod2);
prod3 = Mty./Vsquared;
prod4 = prod1 * hkmean;
umean = uvar * (prod3 + prod4);